### Hierarchy

- String

## Index

### Constructors

- constructor

### Methods

- measureString
- measureStringWidthNoConvert
- stringToArray

## Constructors

### constructor

- new String(): String

- #### Returns String

## Methods

### Static measureString

- measureString(str: string, font?: Font, scale?: number, screenWidth?: number): number

- - Defined in utils/String.ts:33

  #### Parameters

  - ##### str: string

  - ##### Optional font: Font

  - ##### Optional scale: number

  - ##### screenWidth: number = ...

  #### Returns number

### Static measureStringWidthNoConvert

- measureStringWidthNoConvert(input: string, font?: Font, scale?: number): number

- - Defined in utils/String.ts:21

  #### Parameters

  - ##### input: string

  - ##### font: Font = ...

  - ##### scale: number = 0

  #### Returns number

### Static stringToArray

- stringToArray(input: string): string[]

- - Defined in utils/String.ts:5

  #### Parameters

  - ##### input: string

  #### Returns string[]

Generated using TypeDoc